package com.liangjian.dataplatform.member.entity.vo.datanodes;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.liangjian.dataplatform.member.constant.DataNodeConstant;

import java.util.Date;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/26 15:11
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class MetaCorePackage extends DataNode {
    /** 通常类型的目录，没有特别的处理 */
    public static final int TYPE_REGULAR = 0;
    /** 模型类型目录 */
    public static final int TYPE_PDM = 1;
    /** 接口类型目录 */
    public static final int TYPE_ITF = 2;
    /** 落地库类型目录 */
    public static final int TYPE_DB = 3;
    /** 文本数据类型目录 */
    public static final int TYPE_HOST = 4;


    private static final long serialVersionUID = -5986992685148835824L;

    protected String cnName;

    protected Integer packageType;

    public MetaCorePackage() {
    }

    public MetaCorePackage(String id, String prtId, String name, String bizDomain, String nodeType, Boolean isParent, String comment, String remark, Date crtDate, Date lastUpdate, String crtUser, String namespace, String cnName, Integer packageType) {
        super(id, prtId, name, bizDomain, nodeType, isParent, comment, remark, crtDate, lastUpdate, crtUser, namespace);
        this.cnName = cnName;
        this.packageType = packageType;
    }

    @Override
    public String getDataKind() {
        return DataNodeConstant.KIND_PACKAGE;
    }

    public Integer getPackageType() {
        return packageType;
    }

    public void setPackageType(Integer packageType) {
        this.packageType = packageType;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }
}
